libxenstore3.0_4.11.1+92-g6c33308a8d-2+b1_amd64.deb


Advertisement

Description

libxenstore3.0 - Xen runtime libraries - libxenstore

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libxenstore3.0_4.11.1+92-g6c33308a8d-2+b1_amd64.deb
Package name libxenstore3.0
Package version 4.11.1+92
Package release g6c33308a8d-2+b1
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage https://xenproject.org/
License -
Maintainer Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
Download size 39.15 KB
Installed size 87.00 KB

Alternatives

Package Version Architecture Repository
libxenstore3.0_4.11.1+92-g6c33308a8d-2+b1_i386.deb 4.11.1+92 i386 Debian Main
libxenstore3.0 - - -

Requires

Name Value
libc6 >= 2.14
libxentoolcore1 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libxenstore3.0_4.11.1+92-g6c33308a8d-2+b1_amd64.deb
Source Package xen

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libxenstore3.0 deb package:
    # sudo apt-get install libxenstore3.0

Files

Path
/usr/lib/x86_64-linux-gnu/libxenstore.so.3.0
/usr/lib/x86_64-linux-gnu/libxenstore.so.3.0.3
/usr/share/doc/libxenstore3.0/NEWS.Debian.gz
/usr/share/doc/libxenstore3.0/changelog.Debian.amd64.gz
/usr/share/doc/libxenstore3.0/changelog.Debian.gz
/usr/share/doc/libxenstore3.0/changelog.gz
/usr/share/doc/libxenstore3.0/copyright

Changelog

2019-06-22 - Hans van Kranenburg <hans@knorrie.org>
xen (4.11.1+92-g6c33308a8d-2) unstable; urgency=high
* Mention MDS and the need for updated microcode and disabling
hyper-threading in NEWS.
* Mention the ucode=scan option in the grub.d/xen documentation.
2019-06-18 - Hans van Kranenburg <hans@knorrie.org>
xen (4.11.1+92-g6c33308a8d-1) unstable; urgency=high
* Update to new upstream version 4.11.1+92-g6c33308a8d, which also
contains the following security fixes:
- Fix: grant table transfer issues on large hosts
XSA-284 (no CVE yet) (Closes: #929991)
- Fix: race with pass-through device hotplug
XSA-285 (no CVE yet) (Closes: #929998)
- Fix: x86: steal_page violates page_struct access discipline
XSA-287 (no CVE yet) (Closes: #930001)
- Fix: x86: Inconsistent PV IOMMU discipline
XSA-288 (no CVE yet) (Closes: #929994)
- Fix: missing preemption in x86 PV page table unvalidation
XSA-290 (no CVE yet) (Closes: #929996)
- Fix: x86/PV: page type reference counting issue with failed IOMMU update
XSA-291 (no CVE yet) (Closes: #929995)
- Fix: x86: insufficient TLB flushing when using PCID
XSA-292 (no CVE yet) (Closes: #929993)
- Fix: x86: PV kernel context switch corruption
XSA-293 (no CVE yet) (Closes: #929999)
- Fix: x86 shadow: Insufficient TLB flushing when using PCID
XSA-294 (no CVE yet) (Closes: #929992)
- Fix: Microarchitectural Data Sampling speculative side channel
XSA-297 CVE-2018-12126 CVE-2018-12127 CVE-2018-12130 CVE-2019-11091
(Closes: #929129)
* Note that the fixes for XSA-297 will only have effect when also loading
updated cpu microcode with MD_CLEAR functionality. When using the
intel-microcode package to include microcode in the dom0 initrd, it has to
be loaded by Xen. Please refer to the hypervisor command line
documentation about the 'ucode=scan' option.
* Fixes for XSA-295 "Unlimited Arm Atomics Operations" will be added in the
next upload.
2019-02-28 - Ian Jackson <ijackson@chiark.greenend.org.uk>
xen (4.11.1+26-g87f51bf366-3) unstable; urgency=medium
Minor useability improvements and fixes:
* bash-completion: also complete 'xen'  [Hans van Kranenburg]
* /etc/default/xen: Handle with ucf again, like in stretch.
Closes:#923401.  [Ian Jackson]
Build fix:
* Fix FTBFS when building only arch-indep binaries (eg
dpkg-buildpackage -A).  Was due to dh-exec bug wrt not-installed.
Closes:#923013.  [Hans van Kranenburg; report from Santiago Vila]
Documentation fix:
* grub.d/xen.cfg: dom0_mem max IS needed  [Hans van Kranenburg]
2019-02-22 - Ian Jackson <ijackson@chiark.greenend.org.uk>
xen (4.11.1+26-g87f51bf366-2) unstable; urgency=medium
* Packaging change: override spurious lintian warning about
fsimage.so rpath.

See Also

Package Description
libxentoolcore1_4.11.1+92-g6c33308a8d-2+b1_amd64.deb Xen runtime libraries - libxentoolcore
libxentoollog1_4.11.1+92-g6c33308a8d-2+b1_amd64.deb Xen runtime libraries - libxentoollog
libxerces-c-dev_3.2.2+debian-1+b1_amd64.deb validating XML parser library for C++ (development files)
libxerces-c-doc_3.2.2+debian-1_all.deb validating XML parser library for C++ (documentation)
libxerces-c-samples_3.2.2+debian-1+b1_amd64.deb validating XML parser library for C++ (compiled samples)
libxerces-c3.2_3.2.2+debian-1+b1_amd64.deb validating XML parser library for C++
libxerces2-java-doc_2.12.0-1_all.deb Validating XML parser for Java -- Documentation and examples
libxerces2-java_2.12.0-1_all.deb Validating XML parser for Java with DOM level 3 support
libxext-dev_1.3.3-1+b2_amd64.deb X11 miscellaneous extensions library (development headers)
libxext-doc_1.3.3-1_all.deb X11 miscellaneous extensions library (documentation)
libxext6_1.3.3-1+b2_amd64.deb X11 miscellaneous extension library
libxfce4panel-2.0-4_4.14.1-1_amd64.deb Xfce4 panel library (GTK3 variant)
libxfce4panel-2.0-dev_4.14.1-1_amd64.deb Xfce4 panel library (development files for GTK3 variant)
libxfce4ui-1-0_4.14.1-1+b1_amd64.deb widget library for Xfce - Gtk+2 variant
libxfce4ui-1-dev_4.14.1-1+b1_amd64.deb Development files for libxfce4ui - Gtk+2 variant
Advertisement
Advertisement